Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.cometd.continuation
Class ContinuationCometdServlet

    java.lang.Object
      javax.servlet.GenericServlet
          org.mortbay.cometd.AbstractCometdServlet
              org.mortbay.cometd.continuation.ContinuationCometdServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class ContinuationCometdServlet

extends AbstractCometdServlet

See Also:
  Serialized Form

Field Summary
`static int` | `__DEFAULT_REFS_THRESHOLD`
`protected int` | `_refsThreshold`

Fields inherited from class org.mortbay.cometd.AbstractCometdServlet
`_bayeux, _jsonDebug, BROWSER_ID, CLIENT_ATTR, HTTP_CLIENT_ID, MESSAGE_PARAM, TRANSPORT_ATTR, TUNNEL_INIT_PARAM`

Constructor Summary
`ContinuationCometdServlet()`

Method Summary
`void` | `destroy()`
`void` | `init()`
`protected AbstractBayeux` | `newBayeux()`
`protected void` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class org.mortbay.cometd.AbstractCometdServlet
`findBrowserId, getBayeux, getMessages, handleJSONParseException, service, setBrowserId`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __DEFAULT_REFS_THRESHOLD

    public static final int __DEFAULT_REFS_THRESHOLD

See Also:
  Constant Field Values

### _refsThreshold

    protected int _refsThreshold

Constructor Detail

### ContinuationCometdServlet

    public ContinuationCometdServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Overrides:
    `init` in class `AbstractCometdServlet`
  Throws:
    `javax.servlet.ServletException`

### newBayeux

    protected AbstractBayeux newBayeux()

  Specified by:
    `newBayeux` in class `AbstractCometdServlet`

### service

    protected void service(javax.servlet.http.HttpServletRequest request,
                           javax.servlet.http.HttpServletResponse response)
                    throws javax.servlet.ServletException,
                           java.io.IOException

  Specified by:
    `service` in class `AbstractCometdServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.